> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Criar lead

> Cadastrar um novo lead



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json post /api/v1/leads
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/leads:
    post:
      tags:
        - Leads
      summary: Criar lead
      description: Cadastrar um novo lead
      operationId: LeadsV1Controller_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUpdateLeadDto'
      responses:
        '201':
          description: ''
      security:
        - access-token: []
components:
  schemas:
    CreateUpdateLeadDto:
      type: object
      properties:
        name:
          type: string
          example: Guilherme Gavazzoni
          description: Array de ID de tags
        image:
          type: string
          example: >-
            https://dc-qqqq2222pb.s3.amazonaws.com/0a7ac87c-2f50-46b5-9c39-80ffec53e633/1163f5c2-62f4-443f-a84f-9c223b05ae3b
          description: Url da Imagem do lead
        phone:
          type: string
          example: +55 (47) 991331190
          description: Telefone do lead
        email:
          type: string
          example: guilherme@datacrazy.com.br
          description: Email do lead
        source:
          type: string
          example: Google ads
          description: Origem do lead
        company:
          type: string
          example: Apple
          description: Empresa do lead
        taxId:
          type: string
          example: 108.154.702-92
          description: Documento de identificação
        site:
          type: string
          example: www.meulead.com.br
          description: Site do lead
        instagram:
          type: string
          example: '@guilhermegavazzoni'
          description: Instagram do lead
        address:
          example:
            zip: 88338-130
            address: Avenida Brasil
            block: Centro
            city: Balneário Camboriú
            state: SC
            country: BR
          description: Endereço vinculado ao lead
          allOf:
            - $ref: '#/components/schemas/LeadAddressDto'
        sourceReferral:
          description: Fonte de referencia do lead
          allOf:
            - $ref: '#/components/schemas/SourceReferralDto'
        tags:
          description: Array de ID de tags
          type: array
          items:
            $ref: '#/components/schemas/JustIdDto'
        lists:
          description: Array de ID de listas
          type: array
          items:
            $ref: '#/components/schemas/JustIdDto'
        attendant:
          description: ID do atendente
          allOf:
            - $ref: '#/components/schemas/JustIdStringDto'
        notes:
          description: Notas
          allOf:
            - $ref: '#/components/schemas/JustIdStringDto'
    LeadAddressDto:
      type: object
      properties:
        zip:
          type: string
          description: Código postal do lead
        address:
          type: string
          description: Endereço do lead
        block:
          type: string
          description: Bairro do lead
        city:
          type: string
          description: Cidade do lead
        state:
          type: string
          description: Estado do lead
        country:
          type: string
          description: País do lead
        number:
          type: string
          description: Número da residência do lead
    SourceReferralDto:
      type: object
      properties:
        sourceId:
          type: string
          description: ID referente fonte
          example: 2bc3d979-93a4-4e64-8903-5d9379d3de91
        sourceUrl:
          type: string
          description: Url referente fonte
          example: https://example.com/artigo-de-origem
        ctwaId:
          type: string
          description: CTWA referente (Click to WhatsApp ID)
          example: 849fefab-e697-4720-9303-e788c23790cc
    JustIdDto:
      type: object
      properties:
        id:
          type: array
          items:
            type: string
    JustIdStringDto:
      type: object
      properties:
        id:
          type: string
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````